Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services.javascript
Class StylesheetOptions

    java.lang.Object
      org.apache.tapestry5.services.javascript.StylesheetOptions

    public final class StylesheetOptions

extends java.lang.Object

Provides options to describe options associated with importing a stylesheet onto a page. Stylesheet options are immutable.

Since:
  5.2.0

Field Summary
`boolean` | `ajaxInsertionPoint` If true, then this stylesheet is the insertion point for Ajax operations; any added CSS links will be inserted before this link.
`java.lang.String` | `condition` The Internet Explorer condition associated with the link.
`java.lang.String` | `media` The media associated with this stylesheet, i.e., "print".

Constructor Summary
`StylesheetOptions()` Returns a new options object with media as null (that is, unspecified), no condition, and not the Ajax insertion point.
`StylesheetOptions(java.lang.String media)`
`StylesheetOptions(java.lang.String media, java.lang.String condition)` Deprecated. In 5.3, may be removed in a later release. Use `StylesheetOptions(String)` and `withCondition(String)`} instead.

Method Summary
`StylesheetOptions` | `asAjaxInsertionPoint()` Returns a new options object with the `ajaxInsertionPoint` flag set to true.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCondition()` Deprecated. in 5.3, may be removed in a later release, use the `condition` field instead
`java.lang.String` | `getMedia()` Deprecated. in 5.3, may be removed in a later release, use the `media` field instead
`java.lang.String` | `toString()`
`StylesheetOptions` | `withCondition(java.lang.String condition)` Returns a new options object with the indicated Internet Explorer condition.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### media

    public final java.lang.String media

  The media associated with this stylesheet, i.e., "print". Becomes the media attribute of the <link> tag. May be null.

### condition

    public final java.lang.String condition

  The Internet Explorer condition associated with the link. When non-blank, the <link> element will be written inside a specially formatted comment interpreted by Internet Explorer. Usually null, and only used for full page renders (not partial page renders).

  See Also:
    http://en.wikipedia.org/wiki/Conditional_comment

### ajaxInsertionPoint

    public boolean ajaxInsertionPoint

  If true, then this stylesheet is the insertion point for Ajax operations; any added CSS links will be inserted before this link. Only at most one CSS link should be the insertion point. Only used for full page renders (not partial page renders). When this is true, the `<link>` element's ref attribute is wrtten out as "stylesheet t-ajax-insertion-point".

Constructor Detail

### StylesheetOptions

    public StylesheetOptions()

  Returns a new options object with media as null (that is, unspecified), no condition, and not the Ajax insertion point.

### StylesheetOptions

    public StylesheetOptions(java.lang.String media)

### StylesheetOptions

    public StylesheetOptions(java.lang.String media,
                             java.lang.String condition)

  Deprecated. In 5.3, may be removed in a later release. Use `StylesheetOptions(String)` and `withCondition(String)`} instead.

Method Detail

### withCondition

    public StylesheetOptions withCondition(java.lang.String condition)

  Returns a new options object with the indicated Internet Explorer condition. @since 5.3

### asAjaxInsertionPoint

    public StylesheetOptions asAjaxInsertionPoint()

  Returns a new options object with the `ajaxInsertionPoint` flag set to true.

### getMedia

    public java.lang.String getMedia()

  Deprecated. in 5.3, may be removed in a later release, use the `media` field instead

  The media associated with this stylesheet, i.e., "print". Becomes the media attribute of the <link> tag. May be null.

### getCondition

    public java.lang.String getCondition()

  Deprecated. in 5.3, may be removed in a later release, use the `condition` field instead

  The Internet Explorer condition associated with the link. When non-blank, the <link> element will be written inside a specially formatted comment interpreted by Internet Explorer. Usually null.

  See Also:
    http://en.wikipedia.org/wiki/Conditional_comment

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.